Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.ext.awt.image.spi
Class AbstractRegistryEntry

    java.lang.Object
      org.apache.batik.ext.awt.image.spi.AbstractRegistryEntry

All Implemented Interfaces:
  ErrorConstants, RegistryEntry

Direct Known Subclasses:
  JDKRegistryEntry, MagicNumberRegistryEntry

    public abstract class AbstractRegistryEntry

extends Object
implements RegistryEntry, ErrorConstants

Field Summary

Fields inherited from interface org.apache.batik.ext.awt.image.spi.ErrorConstants
`ERR_STREAM_FORMAT_UNREADABLE, ERR_STREAM_UNREADABLE, ERR_URL_FORMAT_UNREADABLE, ERR_URL_UNINTERPRETABLE, ERR_URL_UNREACHABLE, RESOURCES`

Constructor Summary
`AbstractRegistryEntry(String name, float priority, String[] exts, String[] mimeTypes)`
`AbstractRegistryEntry(String name, float priority, String ext, String mimeType)`

Method Summary
`String` | `getFormatName()` Returns the name of the format.
`List` | `getMimeTypes()` Return a List of mime types for this file format.
`float` | `getPriority()` Returns a search priority for this entry.
`List` | `getStandardExtensions()` Return a List of the common extensions for this file format.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractRegistryEntry

    public AbstractRegistryEntry(String name,
                                 float priority,
                                 String[] exts,
                                 String[] mimeTypes)

### AbstractRegistryEntry

    public AbstractRegistryEntry(String name,
                                 float priority,
                                 String ext,
                                 String mimeType)

Method Detail

### getFormatName

    public String getFormatName()

  Description copied from interface: `RegistryEntry`
  Returns the name of the format. For example "JPEG", "PNG", ...

  Specified by:
    `getFormatName` in interface `RegistryEntry`

### getStandardExtensions

    public List getStandardExtensions()

  Description copied from interface: `RegistryEntry`
  Return a List of the common extensions for this file format. The first entry in the list may be used as the default extension for writing files in this format (when we add support for writing that is). This may also be used to build a selection expression for finding files of this type.

  Specified by:
    `getStandardExtensions` in interface `RegistryEntry`

### getMimeTypes

    public List getMimeTypes()

  Description copied from interface: `RegistryEntry`
  Return a List of mime types for this file format. The first entry in the list may be used as the default mime type.

  Specified by:
    `getMimeTypes` in interface `RegistryEntry`

### getPriority

    public float getPriority()

  Description copied from interface: `RegistryEntry`
  Returns a search priority for this entry. For most formats this is not important, but in some cases it is important that some entries occure before or after others.

  Specified by:
    `getPriority` in interface `RegistryEntry`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.